Korg::Exception Class Reference

Korg format specific exception. More...

`#include <Korg.h>`

Inheritance diagram for Korg::Exception:

## Public Member Functions

| Exception (String Message)
void | PrintMessage () const

## Public Attributes

String | Message

## Static Protected Member Functions

static String | assemble (String format, va_list arg)

## Detailed Description

Korg format specific exception.

Will be thrown whenever a Korg format specific error occurs while trying to access such a file in this format. Note: In your application you should better catch for RIFF::Exception rather than this one, except you explicitly want to catch and handle Korg::Exception and RIFF::Exception independently from each other, which usually shouldn't be necessary though.

Definition at line 199 of file Korg.h.

## Constructor & Destructor Documentation

## Exception()

Korg::Exception::Exception | ( | String | Message | ) |

Definition at line 437 of file Korg.cpp.

## Member Function Documentation

## assemble()

String RIFF::Exception::assemble | ( | String | format,
|  | va_list | arg )

static protected inherited

Definition at line 2778 of file RIFF.cpp.

## PrintMessage()

void Korg::Exception::PrintMessage | ( |  | ) | const

Definition at line 440 of file Korg.cpp.

## Member Data Documentation

## Message

String RIFF::Exception::Message

inherited

Definition at line 399 of file RIFF.h.

The documentation for this class was generated from the following files:

- Korg.h
- Korg.cpp